/* global objectConfig */ 
this.app.createSessionObject(objectConfig.definition).then(model => {
  objectConfig.objectId = model.id
  objectConfig.attached = true
  if (this.supportedChartTypes.indexOf(objectConfig.definition.qInfo.qType) !== -1) {
    objectConfig.vis = new this.chartLibrary[objectConfig.definition.qInfo.qType](`${objectConfig.elementId}_vis`, {
      model, 
      def: objectConfig.definition,
      app: this.app
    })
    model.on('changed', () => {
      if (objectConfig.attached === true && this.paused === false) {
        objectConfig.vis.render()
      }
    })
  }
  else if (objectConfig.render && typeof objectConfig.render === 'function') {
    objectConfig.vis = {}
    objectConfig.render(objectConfig, model)
    model.on('changed', () => {
      if (objectConfig.attached === true && this.paused === false) {
        objectConfig.render(objectConfig, model)
      }
    })
  }
})
