fetch("/resources/schema.json").then(response => {return response.json()}).then(schema=>{
	let objectManager = new WebsyQlikObjectManagerLight({
		enigmaSchema: schema,
		app: {
			host: 'ec2-35-171-16-134.compute-1.amazonaws.com',
			port: 443,
			prefix: 'anon',
			isSecure: true,
			id: 'b2a82f2c-e1e7-4eb0-944a-21bdbfcc8782'
		},
		actions: [
			{				
				elementId: 'clearAll',
				event: 'click',
				items: [
					{
						method: 'clearAll',
						params: []
					}
				]
			},
			{				
				elementId: 'btn2',
				event: 'click',
				items: [
					{
						method: 'lowLevelSelect',
						field: 'Year',
						params: [ [1,2], true ]
					}
				]
			}
		],
		views: {
			global: {
				actions: [
					{																						
						method: 'lowLevelSelect',
						field: 'Year',
						params: [ [1,2], true ]						
					}
				],
				objects: [
					{	
						elementId: 'ch1',
						definition: {
							qInfo: {
								qType: 'custom'
							},
							qListObjectDef: {
								qDef: { qFieldDefs: ['Year'] },
								qInitialDataFetch: [{ qTop: 0, qLeft: 0, qWidth: 1, qHeight: 10 }]
							}
						},
						render: function(model) {
							let el = document.getElementById(this.elementId)
							if (el) {
								model.getLayout().then(layout => {
									let list = layout.qListObject.qDataPages[0].qMatrix.map(row => {
										return `<div>${row[0].qText}-${row[0].qState}</div>`
									})
									console.log(list);
									el.innerHTML = list.join('')
								})
							}
						}
					}
				]
			}
		}
	})
	objectManager.init().then(() => {
		console.log(objectManager.app)
		// objectManager.loadObjects('main')
	}, err => {
		console.log(err)
	}) 
})